Last Comment Bug 760995 - mfbt Scoped should be in mozilla namespace
: mfbt Scoped should be in mozilla namespace
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: MFBT (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
Mentors:
Depends on: 767802
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 09:13 PDT by Eric Rescorla (:ekr)
Modified: 2012-06-26 18:19 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Eric Rescorla (:ekr) 2012-06-03 09:13:30 PDT
Inside mfbt, RefPtr appears to be in mozilla:: but Scoped appears to be the global namespace. That seems bad.
Comment 1 Jeff Walden [:Waldo] (remove +bmo to email) 2012-06-21 01:49:46 PDT
Hmm, quite true.  Fixed:

https://hg.mozilla.org/integration/mozilla-inbound/rev/b3067d05a76a

I tryservered this yesterday morning and hit no problems, and aside from worry of dependence on the tainting, it seems there's little enough here that review isn't worth the trouble.
Comment 2 Ed Morley [:emorley] 2012-06-21 02:08:01 PDT
Backout:
https://hg.mozilla.org/integration/mozilla-inbound/rev/c710654ee747
Comment 3 Jeff Walden [:Waldo] (remove +bmo to email) 2012-06-21 11:23:16 PDT
If at first you don't succeed...

https://hg.mozilla.org/integration/mozilla-inbound/rev/14b79d264b0b
Comment 4 Ed Morley [:emorley] 2012-06-22 03:46:43 PDT
https://hg.mozilla.org/mozilla-central/rev/14b79d264b0b

Note You need to log in before you can comment on or make changes to this bug.